package fanch.multijeu.common.core;

import java.util.ArrayList;


public class SortedArray<T> extends ArrayList<T> {
    @Override
    public void add(int position, T e) {
        add(e);
    }

    public boolean add(T c)
    {
        for(int i=0; i<size(); i++)
        {
            if( ((Comparable)get(i)).compareTo(c)>=0 )
            {
                super.add(i, c);
                return true;
            }
        }
        return true;
    }

    public int count(T c)
    {
        int n=0;
        for(int i=0; i<size(); i++)
        {
            final int x = ((Comparable)get(i)).compareTo(c);
            if(x==0)
                n++;
            else if(x>0)
                return n;
        }
        return n;
    }


}
